summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_blacklist.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-01-10 13:36:55 +0100
committerHolger Levsen <holger@layer-acht.org>2016-01-10 13:36:55 +0100
commit1bc3c602047a0e7417b74a67485bcce7f8379fb0 (patch)
tree0fa3839c3e0ea788de963f3c2d2d271b3cf3a7b3 /bin/reproducible_blacklist.sh
parent295b825c2a9ea76c372185e86b553fdfc731b385 (diff)
downloadjenkins.debian.net-1bc3c602047a0e7417b74a67485bcce7f8379fb0.tar.xz
reproducible: make reverting blacklists work
Diffstat (limited to 'bin/reproducible_blacklist.sh')
-rwxr-xr-xbin/reproducible_blacklist.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_blacklist.sh b/bin/reproducible_blacklist.sh
index d0f1d7a1..a75bcd1a 100755
--- a/bin/reproducible_blacklist.sh
+++ b/bin/reproducible_blacklist.sh
@@ -94,7 +94,7 @@ if [ $TOTAL -lt 1 ] ; then
fi
# main
-if [ "$1" != "--revert" ] ; then
+if ! $REVERT ; then
blacklist_packages
else
revert_blacklisted_packages
@@ -115,6 +115,6 @@ echo
echo "Probably edit notes.git/packages.yml now and enter/remove reasons for blacklisting there."
# finally, let's re-schedule them if the blacklisted was reverted
-if [ "$1" = "--revert" ] ; then
+if $REVERT ; then
/srv/jenkins/bin/reproducible_schedule_on_demand.sh -s $SUITE -a $ARCH $PACKAGES
fi